Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.edr.config
Class AlarmConfigDescriptor

    java.lang.Object
      com.bea.wlcp.wlng.api.edr.config.ConfigDescriptor
          com.bea.wlcp.wlng.api.edr.config.AlarmConfigDescriptor

public class AlarmConfigDescriptor
extends ConfigDescriptor

This class contains a description of a particular alarm.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `CRITICAL`
`static String` | `FIELD_DESCRIPTION`
`static String` | `FIELD_ID`
`static String` | `FIELD_SEVERITY`
`static String` | `MAJOR`
`static String` | `MINOR`
`static String` | `WARNING`

Fields inherited from class com.bea.wlcp.wlng.api.edr.config.ConfigDescriptor
`CUSTOM_ATTRIBUTE, CUSTOM_ATTRIBUTE_KEY, CUSTOM_ATTRIBUTE_VALUE, PART_DATA, PART_FILTER`

Constructor Summary
`AlarmConfigDescriptor()`

Method Summary
`String` | `getDescription()` Returns the description of the alarm
`byte[]` | `getDescriptionAsBytes()` Returns the description of the alarm as an array of bytes
`long` | `getIdentifier()` Returns the identifier of the alarm
`String` | `getIdentifierAsString()` Returns the identifier of the alarm as a string
`String` | `getSeverity()` Returns the severity of the alarm as a string.
`int` | `getSeverityAsInt()` Returns the severity of the alarm
`String` | `getSnmpNotificationOIDSuffix()` Returns the SNMP notification OID suffix for this alarm.
`void` | `setSnmpNotificationOIDSuffix(String id)` Sets the SNMP notification OID suffix.
`String` | `toString()`

Methods inherited from class com.bea.wlcp.wlng.api.edr.config.ConfigDescriptor
`addDataAttribute, addFilterAttribute, addSource, canBeCached, getDataAttribute, getFilterAttributes, getName, getPosition, getSources, isMatching, setDataAttributes, setName, setPosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CRITICAL

    public static final String CRITICAL

See Also:
  Constant Field Values

### FIELD_DESCRIPTION

    public static final String FIELD_DESCRIPTION

See Also:
  Constant Field Values

### FIELD_ID

    public static final String FIELD_ID

See Also:
  Constant Field Values

### FIELD_SEVERITY

    public static final String FIELD_SEVERITY

See Also:
  Constant Field Values

### MAJOR

    public static final String MAJOR

See Also:
  Constant Field Values

### MINOR

    public static final String MINOR

See Also:
  Constant Field Values

### WARNING

    public static final String WARNING

See Also:
  Constant Field Values

Constructor Detail

### AlarmConfigDescriptor

    public AlarmConfigDescriptor()

Method Detail

### getDescription

    public String getDescription()

  Returns the description of the alarm

  Returns:
    The description of the alarm

### getDescriptionAsBytes

    public byte[] getDescriptionAsBytes()

  Returns the description of the alarm as an array of bytes

  Returns:
    The description of the alarm as an array of bytes

### getIdentifier

    public long getIdentifier()

  Returns the identifier of the alarm

  Returns:
    The identifier of the alarm

### getIdentifierAsString

    public String getIdentifierAsString()

  Returns the identifier of the alarm as a string

  Returns:
    The identifier of the alarm as a string

### getSeverity

    public String getSeverity()

  Returns the severity of the alarm as a string.

  Returns:
    The severity of the alarm as a string

### getSeverityAsInt

    public int getSeverityAsInt()

  Returns the severity of the alarm

  Returns:
    The severity

### getSnmpNotificationOIDSuffix

    public String getSnmpNotificationOIDSuffix()

  Returns the SNMP notification OID suffix for this alarm.

  Returns:
    The SNMP notification OID suffix

### setSnmpNotificationOIDSuffix

    public void setSnmpNotificationOIDSuffix(String id)

  Sets the SNMP notification OID suffix. This suffix comes from the alarm.xml file and is composed in GroupConfigDescriptor

### toString

    public String toString()

  Overrides:
    `toString` in class `ConfigDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD